
#include "random.h"


RandomJump::RandomJump(const double delta, const double eta, std::mt19937_64 &rng) : Motion(std::string("RandomJump"), delta, eta, rng) {}

RandomJump::RandomJump(std::mt19937_64 &rng) : Motion(std::string("RandomJump"), rng) {}

void RandomJump::initialize() {}

double RandomJump::jump() {
    return omega_q(draw_position());
}
